WebSphereNodeAgent (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereNodeAgent interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereNodeAgent

All Superinterfaces:
  AppServer, ConfigurationItem, J2EEServer, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, WebSphereServer

    public interface WebSphereNodeAgent

extends WebSphereServer

A WebSphere Node Agent

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`IBM_COPYRIGHT, RUNNING, STOPPED`

Method Summary

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereServer
`getAddressSpace, getAppClassloaderPolicy, getAppClassloadingMode, getCell, getCluster, getClusterUniqueId, getClusterWeight, getCustomProperties, getEFixes, getJvmLogFileName, getLibraries, getNamedEndpoints, getNode, getProcessDefinition, getType, getVariables, hasAddressSpace, hasAppClassloaderPolicy, hasAppClassloadingMode, hasCell, hasCluster, hasClusterUniqueId, hasClusterWeight, hasCustomProperties, hasEFixes, hasJvmLogFileName, hasLibraries, hasNamedEndpoints, hasNode, hasProcessDefinition, hasType, hasVariables, setAddressSpace, setAppClassloaderPolicy, setAppClassloadingMode, setCell, setCluster, setClusterUniqueId, setClusterWeight, setCustomProperties, setEFixes, setJvmLogFileName, setLibraries, setNamedEndpoints, setNode, setProcessDefinition, setType, setVariables`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEServer
`getDeployedObjectsRaw, getParent, hasDeployedObjectsRaw, hasParent, setDeployedObjectsRaw, setParent`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD